From 8f29e16111f5e076db2d0fcd8b754a1e8654af18 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 7 Jan 2015 20:02:47 -0500
Subject: buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced

t1:=guessRat(q)([1,q,q^2], [])
--R
--R
--R   >> Error detected within library code:
--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
--R
--R   Continuing to read the file...
--R
---
 buglist                        |   14 +++++++++++++-
 changelog                      |    2 ++
 patch                          |   16 +++-------------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 20 insertions(+), 14 deletions(-)

diff --git a/buglist b/buglist
index fbd5c67..599d3f1 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7295: 
+bug 7296: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,18 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7295: guessRat : (1 . arbitrary) cannot be coerced
+
+t1:=guessRat(q)([1,q,q^2], [])
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
+
+=========================================================================
 bug 7294: GuessOption: displayAsGF not set
 
 --S 7 of 102
diff --git a/changelog b/changelog
index 4d85bef..6385438 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150107 tpd src/axiom-website/patches.html 20150107.06.tpd.patch
+20150107 tpd buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced
 20150107 tpd src/axiom-website/patches.html 20150107.05.tpd.patch
 20150107 tpd buglist: bug 7294: GuessOption: displayAsGF not set
 20150107 tpd src/axiom-website/patches.html 20150107.04.tpd.patch
diff --git a/patch b/patch
index 66b2457..c29fe05 100644
--- a/patch
+++ b/patch
@@ -1,21 +1,11 @@
-buglist: bug 7294: GuessOption: displayAsGF not set
+buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced
 
---S 7 of 102
-t1:=[0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
---R 
---R
---R   (1)  [0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
---R                                               Type: List(NonNegativeInteger)
---E 7
-
---S 8 of 102
-t2:=first guessADE first(t1,10)
+t1:=guessRat(q)([1,q,q^2], [])
 --R 
 --R 
 --R   >> Error detected within library code:
---R   GuessOption: displayAsGF not set
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
 --R
 --R   Continuing to read the file...
 --R
---E 8
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b44aa2c..eb1651a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4932,6 +4932,8 @@ buglist: bug 7292: )with API fails<br/>
 bug 7293: )trace EXPR )math<br/>
 <a href="patches/20150107.05.tpd.patch">20150107.05.tpd.patch</a>
 buglist: bug 7294: GuessOption: displayAsGF not set<br/>
+<a href="patches/20150107.06.tpd.patch">20150107.06.tpd.patch</a>
+buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced<br/>
  </body>
 </html>
 
-- 
1.7.5.4

